classification
Title: Use specific asserts in distutils tests
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: eric.araujo, ezio.melotti, python-dev, serhiy.storchaka, tarek
Priority: normal Keywords: patch

Created on 2013-11-15 08:06 by serhiy.storchaka, last changed 2013-11-17 01:06 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_distutils_asserts.patch serhiy.storchaka, 2013-11-15 08:06 review
Messages (3)
msg202922 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 08:06
The proposed patch makes the distutils package tests use more specific asserts. This will provide more useful failure report.
msg203091 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 21:56
LGTM (I left a comment on rietveld).
msg203099 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-16 22:29
New changeset 5a0236f3f972 by Serhiy Storchaka in branch '3.3':
Issue #19600: Use specific asserts in distutils tests.
http://hg.python.org/cpython/rev/5a0236f3f972

New changeset 6a3501aab559 by Serhiy Storchaka in branch 'default':
Issue #19600: Use specific asserts in distutils tests.
http://hg.python.org/cpython/rev/6a3501aab559

New changeset 097389413dd3 by Serhiy Storchaka in branch '2.7':
Issue #19600: Use specific asserts in distutils tests.
http://hg.python.org/cpython/rev/097389413dd3
History
Date User Action Args
2013-11-17 01:06:45ezio.melottisetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-16 22:29:59python-devsetnosy: + python-dev
messages: + msg203099
2013-11-16 21:56:17ezio.melottisetnosy: + ezio.melotti
messages: + msg203091
2013-11-15 08:14:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 08:06:48serhiy.storchakacreate